Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server Support for Apache Beehive

## com.bea.wlw.runtime.interceptors.security
Class ControlSecurity

    java.lang.Object
      com.bea.wlw.runtime.interceptors.security.ControlSecurity

public class ControlSecurity
extends Object

Base class for accessing security via the control infrastructure. The methods of this class are protected and intended to be called from subclasses. This class has an internal kernel ID that is used to access the security infrastructure.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ControlSecurity()`

Method Summary
`protected weblogic.security.service.AuthorizationManager` | `getAuthorizationManager(String realm)` Get the authorization manager for the given security realm.
`protected weblogic.security.acl.internal.AuthenticatedSubject` | `getCurrentSubject()` Get the current subject.
`protected weblogic.security.service.PrincipalAuthenticator` | `getPrincipalAuthenticator(String realm)` Get the principal authenticator for the given security realm.
`protected void` | `popSubject()` Pop the current subject.
`protected void` | `pushSubject(weblogic.security.acl.internal.AuthenticatedSubject subject)` Push the given subject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlSecurity

    public ControlSecurity()

Method Detail

### getAuthorizationManager

    protected weblogic.security.service.AuthorizationManager getAuthorizationManager(String realm)

  Get the authorization manager for the given security realm.

  Parameters:
    `realm` - The security realm.
  Returns:
    The authorization manager.

### getCurrentSubject

    protected weblogic.security.acl.internal.AuthenticatedSubject getCurrentSubject()

  Get the current subject.

  Returns:
    The current subject.

### getPrincipalAuthenticator

    protected weblogic.security.service.PrincipalAuthenticator getPrincipalAuthenticator(String realm)

  Get the principal authenticator for the given security realm.

  Parameters:
    `realm` - The security realm.
  Returns:
    A principal authenticator.

### popSubject

    protected void popSubject()

  Pop the current subject.

### pushSubject

    protected void pushSubject(weblogic.security.acl.internal.AuthenticatedSubject subject)

  Push the given subject.

  Parameters:
    `subject` - An authenticated subject.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD